using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Data;

namespace Flyad7_WPF.Converters
{
    public class BinConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            string index_str = (string)parameter;
            if (!int.TryParse(index_str, out int index)) 
            {
                index = 0;
            }
            if (index < 0)
                index = 0;
            if (index > 15)
                index = 15;

            if (!(value is UInt16))
                return null;

            UInt16 v = (UInt16)value;
            if (Misc.MyBase.CHECKBIT(v, index))
            {
                return 1;
            }
            else
            {
                return 0;
            }

        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
